## skanlite 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "24")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

set(SKANLITE_VERSION_STRING "${RELEASE_SERVICE_VERSION}")

project(skanlite VERSION ${RELEASE_SERVICE_VERSION})

set(REQUIRED_QT_VERSION "6.4.0")
set(KF_MIN_VERSION "6.0.0")

# ECM setup (Extended Cmake Modules)
find_package(ECM ${KF_MIN_VERSION} QUIET REQUIRED NO_MODULE)
# ECM setup2 and include find same cmake module (copied from /usr/share/kde4/apps/cmake/modules/FindSane.cmake)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake-modules)

include(KDEInstallDirs) # yields ${XDG_APPS_INSTALL_DIR}
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(FeatureSummary)
include(ECMSetupVersion) # yiels ecm_setup_version
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(CheckFunctionExists)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMInstallIcons)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)

ecm_setup_version(
  ${SKANLITE_VERSION_STRING}
  VARIABLE_PREFIX SKANLITE
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/skanlite_version.h"
)

# Dependencies
find_package(Qt6 ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Widgets)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
        CoreAddons # KAboutData
        I18n
        KIO # contains the KIOWidgets which we use in target_link_libraries
        XmlGui # KAboutApplicationDialog
        Crash
)

find_package(KF6DocTools ${KF_MIN_VERSION})  # yields kdoctools_create_handbook
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(KSaneWidgets6 "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}" REQUIRED)

ecm_set_disabled_deprecation_versions(QT 6.7.2
    KF 6.7.0
)


# Subdirectories
add_subdirectory(src)

ki18n_install(po)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

if(BUILD_TESTING)
   add_subdirectory(autotests)
   add_subdirectory(tests)
endif()
ecm_install_icons(ICONS sc-apps-org.kde.skanlite.svg DESTINATION ${KDE_INSTALL_ICONDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
skanlite (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:52:00 +0000

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev,
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libksane-dev (>= 24.12.3~),
               libpng-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/skanlite
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 25.03.90

=== debian/changelog ===
skanlite (25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Apr 2025 16:17:54 +0200

## skanlite 25.04.0

=== debian/changelog ===
skanlite (25.04.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump required version of libksane-dev build dependency to >= 25.04.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 01:22:04 +0200

skanlite (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:45:39 +0200

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6crash-dev (>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libksane-dev (>= 25.04~),
               libpng-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/skanlite
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/skanlite.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 25.04.1

=== debian/changelog ===
skanlite (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:20:22 +0100

skanlite (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:06:44 +0100

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev,
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libksane-dev (>= 25.04.1~),
               libpng-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/skanlite
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 25.04.2

=== debian/changelog ===
skanlite (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:04:35 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.04.1~),
+               libksane-dev (>= 25.04.2~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

## skanlite 25.04.3

=== debian/changelog ===
skanlite (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:58:44 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.04.2~),
+               libksane-dev (>= 25.04.3~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

## skanlite 25.07.80

=== debian/changelog ===
skanlite (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:29:09 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.04.3~),
+               libksane-dev (>= 25.07.80~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

## skanlite 25.07.90

=== debian/changelog ===
skanlite (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:04:10 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.07.80~),
+               libksane-dev (>= 25.07.90~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

## skanlite 25.08.0

=== debian/changelog ===
skanlite (25.08.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 15 Aug 2025 10:02:29 +0000

skanlite (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:39:12 +0000

skanlite (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:24:21 +0000

skanlite (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:37:39 +0000

skanlite (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:29:21 +0000

skanlite (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:12:57 +0000

skanlite (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:38:17 +0000

skanlite (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:46:59 +0000

skanlite (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:38:00 +0000

skanlite (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:35:37 +0000

skanlite (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:35:26 +0000

skanlite (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:07:52 +0000

skanlite (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:01:14 +0000

skanlite (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:36:35 +0000

skanlite (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:05:16 +0000

skanlite (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:50:29 +0000

skanlite (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:46:31 +0000

skanlite (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:28:57 +0000

skanlite (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 09:17:08 +0000

skanlite (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:05:53 +0000

skanlite (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:47:05 +0000

skanlite (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:35:05 +0000

skanlite (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:16:31 +0000

skanlite (23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 21:59:11 +0000

skanlite (23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 18:22:47 +0000

skanlite (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:49:21 +0000

skanlite (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:11:50 +0000

skanlite (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:51:21 +0000

skanlite (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 11:57:08 +0000

skanlite (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:17:35 +0000

skanlite (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:07:04 +0000

skanlite (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:21:25 +0000

skanlite (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:11:51 +0000

skanlite (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:32:24 +0000

skanlite (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:30:01 +0000

skanlite (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:39:57 +0000

skanlite (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:00:21 +0000

skanlite (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:58:50 +0000

skanlite (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:34:19 +0000

skanlite (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 09:19:05 +0000

skanlite (21.08.1-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * New release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:11 +0000

skanlite (2.2.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Jul 2020 09:20:29 +0000

skanlite (2.1.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 08 May 2018 12:54:22 +0000

skanlite (2.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Mar 2017 12:20:59 +0000

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Uploaders: Mark Purcell <msp@debian.org>, Kai Wasserbäch <curan@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kxmlgui-dev,
               libksane-dev,
               libksanecore-dev,
               libpng-dev,
               pkg-kde-tools-neon
Standards-Version: 4.6.2
Homepage: http://www.kde.org/applications/graphics/skanlite/
Vcs-Git: https://invent.kde.org/neon/extras/skanlite.git
Vcs-Browser: https://invent.kde.org/neon/extras/skanlite
Maintainer: Neon CI <neon@kde.org>

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

=== debian/rules ===
#!/usr/bin/make -f

DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined -Wl,--as-needed

override_dh_strip:
	dh_strip --dbgsym-migration='skanlite-dbg (<< 2.0-1~)'

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6

%:
	dh $@ --with kf6

## skanlite 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "24")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== autotests/CMakeLists.txt ===
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMMarkAsTest)

macro(skanlite_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt6::Test KF5skanlite)
    add_test(skanlite-${_testname} ${_testname})
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

#skanlite_tests(
#  skanlitetest
#)

=== debian/changelog ===
skanlite (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:14:35 +0100

skanlite (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:01:39 +0100

=== debian/control ===
Source: skanlite
Section: graphics
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Kai Wasserbäch <curan@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6crash-dev,
               libkf6doctools-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6xmlgui-dev (>= 5.240.0~),
               libksane-dev (>= 25.08.1~),
               libpng-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://apps.kde.org/skanlite
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/skanlite
Rules-Requires-Root: no

Package: skanlite
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: image scanner based on the KSane backend
 Skanlite is a small and simple scanner application which allows easy scanning
 of images with an attached scanner. Through the KSane backend, it can access
 a wide variety of different scanner models.

## skanlite 25.08.1+p24.04+vstable+git20250930.0322

=== debian/changelog ===
skanlite (25.08.1+p24.04+vstable+git20250930.0322-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 03:22:38 +0000

skanlite (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:06:38 +0000

## skanlite 25.08.1+p24.04+vstable+git20251002.0437

=== debian/changelog ===
skanlite (25.08.1+p24.04+vstable+git20251002.0437-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 02 Oct 2025 04:37:16 +0000

## skanlite 25.08.2

=== debian/changelog ===
skanlite (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:59:43 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.08.1~),
+               libksane-dev (>= 25.08.2~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6

## skanlite 25.08.2+p24.04+vstable+git20251016.2240

=== debian/changelog ===
skanlite (25.08.2+p24.04+vstable+git20251016.2240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 22:40:26 +0000

skanlite (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:50:05 +0000

## skanlite 25.08.2+p24.04+vstable+git20251019.0552

=== debian/changelog ===
skanlite (25.08.2+p24.04+vstable+git20251019.0552-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:52:49 +0000

## skanlite 25.08.2+p24.04+vstable+git20251031.1031

=== debian/changelog ===
skanlite (25.08.2+p24.04+vstable+git20251031.1031-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:31:13 +0000

## skanlite 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== tests/CMakeLists.txt ===
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

include(ECMMarkAsTest)

macro(skanlite_executable_tests)
  foreach(_testname ${ARGN})
    add_executable(${_testname} ${_testname}.cpp)
    target_link_libraries(${_testname} Qt6::Test KF5skanlite)
    ecm_mark_as_test(${_testname})
  endforeach(_testname)
endmacro()

#skanlite_executable_tests(
#  anothertest
#)

=== debian/changelog ===
skanlite (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:30:27 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.08.2~),
+               libksane-dev (>= 25.08.3~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

## skanlite 25.08.3+p24.04+vunstable+git20251113.0426

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

## skanlite 25.08.3+p24.04+vunstable+git20251123.1240

=== debian/changelog ===
skanlite (25.08.3+p24.04+vunstable+git20251123.1240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 12:40:30 +0000

skanlite (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:34:34 +1000

## skanlite 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanlite (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 08:04:19 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.08.3~),
+               libksane-dev (>= 25.11.80~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

## skanlite 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanlite (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:19:05 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.11.80~),
+               libksane-dev (>= 25.11.90~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

## skanlite 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanlite (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:39:19 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.11.90~),
+               libksane-dev (>= 25.12.0~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

## skanlite 25.12.0+p24.04+vstable+git20251208.1354

=== debian/changelog ===
skanlite (25.12.0+p24.04+vstable+git20251208.1354-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 13:54:36 +0000

skanlite (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:30:24 +1000

## skanlite 25.12.0+p24.04+vstable+git20251215.0318

=== debian/changelog ===
skanlite (25.12.0+p24.04+vstable+git20251215.0318-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 03:18:41 +0000

## skanlite 25.12.0+p24.04+vunstable+git20251208.1404

=== debian/changelog ===
skanlite (25.12.0+p24.04+vunstable+git20251208.1404-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 14:04:52 +0000

## skanlite 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
skanlite (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:19:48 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.12.0~),
+               libksane-dev (>= 25.12.1~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0

## skanlite 25.12.1+p24.04+vstable+git20260129.0145

=== debian/changelog ===
skanlite (25.12.1+p24.04+vstable+git20260129.0145-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:45:25 +0000

skanlite (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:54 +1000

## skanlite 25.12.1+p24.04+vstable+git20260131.0401

=== debian/changelog ===
skanlite (25.12.1+p24.04+vstable+git20260131.0401-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:01:57 +0000

## skanlite 25.12.1+p24.04+vunstable+git20260131.0132

=== debian/changelog ===
skanlite (25.12.1+p24.04+vunstable+git20260131.0132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 01:32:23 +0000

## skanlite 25.12.2

=== debian/changelog ===
skanlite (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:33:18 +0000

skanlite (25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:14:09 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libkf6i18n-dev (>= 5.240.0~),
                libkf6kio-dev (>= 5.240.0~),
                libkf6xmlgui-dev (>= 5.240.0~),
-               libksane-dev (>= 25.12.1~),
+               libksane-dev (>= 25.12.2~),
                libpng-dev,
                qt6-base-dev (>= 6.4.0~),
 Standards-Version: 4.7.0
